Page MenuHomePhabricator

Can protect page in Mediawiki namespace via API
Closed, ResolvedPublic

Description

Protect page in Mediawiki namespace via UI will get message "Non-protectable namespace" (MediaWiki:Protect-badnamespace-title).
But, I can protect it via Twinkle. View tests by another sysop on zhwiki here.
I protect a page via API, and then you can't unprotect it via UI. I think that it is a bug.

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptAug 18 2017, 12:18 PM

My guess is that was because of earlier Superprotect implementation?

My guess is that was because of earlier Superprotect implementation?

@tstarling ^^ per your gerrit 153302

A2093064 closed this task as Resolved.Aug 25 2018, 3:17 AM

Protect Mediawiki namespace is possible now. So I close this task.

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 27 2018, 2:58 AM